/*
-----------------------------------------------------
   Application Name: "DIMG"
Application Version: 0.1.0
          File Name: constants.h
       File Version: 0.1.0
         Start Date: 28/06/2008
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2008
            License: GNU General Public License
   File Description: Constants
-----------------------------------------------------
	This file is part of "DIMG".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

	File Notes:
	------------------
*/

#ifdef Q_OS_WIN32
static const QString floppy_drives[] = {"A:", "B:"};
static const int floppy_drive_count = 2;
static const bool detect_floppy_drives = true;  // Set this to FALSE to disable autodetection of floppy drives
#else
static const QString floppy_drives[] = {"/dev/fd0", "/dev/fd1"};
static const int floppy_drive_count = 2;
#endif

// Version information
static const int major_version = 0;
static const int minor_version = 1;
static const int patch_level = 0;

// Application information
static const QString application_name = "DIMG";
static const bool use_standard_version_string = true;

// Boot specs (from LibDsk sample program dsktool)
static const unsigned char spec169 [10] = { 0,    0, 40, 9, 2, 2, 3, 2, 0x2A, 0x52 };
static const unsigned char spec180 [10] = { 0,    0, 40, 9, 2, 1, 3, 2, 0x2A, 0x52 };
static const unsigned char spec200 [10] = { 0,    0, 40,10, 2, 1, 3, 3, 0x0C, 0x17 };
static const unsigned char spec720 [10] = { 3, 0x81, 80, 9, 2, 1, 4, 4, 0x2A, 0x52 };
static const unsigned char spec800 [10] = { 3, 0x81, 80,10, 2, 1, 4, 4, 0x0C, 0x17 };
